Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.train
Class RawGenusWordConditionalProb

    java.lang.Object
      edu.msu.cme.rdp.classifier.train.RawGenusWordConditionalProb

    public class RawGenusWordConditionalProb

extends java.lang.Object

A RawGenusWordConditionalProb contains the index of the genus node and the conditional probability of the node contains the word.

Field Summary
`private int` | `genusIndex`
`private float` | `wordConditionalProb`

Constructor Summary
`RawGenusWordConditionalProb(int index, float prob)` Creates a new instance of RawGenusWordConditionalProb.

Method Summary
`int` | `getGenusIndex()` Returns the index of the genus.
`float` | `getProbability()` Returns the word conditional probability of the genus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### genusIndex

    private int genusIndex

### wordConditionalProb

    private float wordConditionalProb

Constructor Detail

### RawGenusWordConditionalProb

    public RawGenusWordConditionalProb(int index,
                                       float prob)

  Creates a new instance of RawGenusWordConditionalProb.

Method Detail

### getGenusIndex

    public int getGenusIndex()

  Returns the index of the genus.

### getProbability

    public float getProbability()

  Returns the word conditional probability of the genus.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD